EDIT - bug #8126

Mediarepresentations should not be shown in Referencing objects view
02/22/2019 11:02 AM - Katja Luther

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal Found in Version:

Description

MediaRepresentations belonging to the media object therefore they should not be shown in the referencing objects view. This should
be handled in the service method because it is also needed for the check whether an object is used more than once.

Related issues:

Related to EDIT - bug #7711: Bugs in media gallery Resolved
Related to EDIT - bug #7732: layout issues for the media details view New
Related to EDIT - bug #8129: Load images asynchronously in media details view Closed
Related to EDIT - feature request #9541: Improve referencing objects handling Closed
History

#1 - 02/22/2019 11:32 AM - Andreas Miiller

AM:

gibt es fur das Problem, dass MediaRepresentations bei den referencing objects von Media angezeigt werden eigentlich schon ein Ticket? Die sollten
ja eigentlich ahnlich wie SupplementalData gehandelt werden, also als zu Media zugehdrig (orphanRemoval=true). Dann wiirde vermutlich auch
keine Warnung mehr angezeigt, dass es mehrere Verwendungen des Media gibt (was derzeit im Media View standig kommt).

Wir hatten das vor geraumer Zeit mal besprochen, da ich im referencing objects code die Stelle gesucht hatte, wo die SupplementalData rausgefiltert
werden, aber nicht sofort gefunden habe.

Man kdénnte vielleicht (iberlegen, ob man da grundsétzlich versucht auf orphanRemoval zu testen und alle orphanRemoval=true nicht anzuzeigen.

Hmm, mir féllt gerade auf, dass die SupplementalData ja gar nicht mehr bidirectional sind. Vielleicht ist das der simple Grund, warum sie nicht
ausgewertet werden.

KL: Ja, ich erinnere mich, dass ich auch mal geschaut hatte, ob man das raus bekommen kann, ob orphanRemoval gesetzt ist, aber auf die Schnelle
hatte ich damals glaube ich keine Lésung gefunden.

#2 - 02/22/2019 11:33 AM - Andreas Miiller
- Subject changed from Mediarepresentations should not shown in Referencing objects view to Mediarepresentations should not be shown in

Referencing objects view

#3 - 02/22/2019 11:33 AM - Andreas Miiller
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Reviewed Next Major Release

#4 - 02/22/2019 12:23 PM - Andreas Miiller
- Related to bug #7711: Bugs in media gallery added

#5 - 02/22/2019 12:27 PM - Andreas Miiller
- Related to bug #7732: layout issues for the media details view added

#6 - 02/22/2019 12:31 PM - Andreas Miiller

- Related to bug #8129: Load images asynchronously in media details view added

#7 - 03/24/2022 02:41 PM - Andreas Miiller
- Related to feature request #9541: Improve referencing objects handling added
